Bug 1655071 - interfaces and bonds are reported separately
Summary: interfaces and bonds are reported separately
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: collectd
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z13
: 10.0 (Newton)
Assignee: Ryan McCabe
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-30 13:29 UTC by Fabrizio Soppelsa
Modified: 2020-01-12 11:50 UTC (History)
10 users (show)

Fixed In Version: collectd-5.8.1-3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-23 08:37:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3183 0 None None None 2019-10-23 08:37:55 UTC

Description Fabrizio Soppelsa 2018-11-30 13:29:53 UTC
Description of problem:
Below the view from the DB:

# ll -d /var/lib/carbon/whisper/collectd/./ovs_stats-br-int_qvo0ce6af43-1a*
drwxr-xr-x. 5 carbon carbon 4096 Nov 27 16:03 /var/lib/carbon/whisper/collectd/./ovs_stats-br-int_qvo0ce6af43-1a
drwxr-xr-x. 5 carbon carbon 4096 Nov 27 16:07 /var/lib/carbon/whisper/collectd/./ovs_stats-br-int_qvo0ce6af43-1a_qvo0ce6af43-1a 

ovs_stats-br-int_qvo0ce6af43-1a 
and
ovs_stats-br-int_qvo0ce6af43-1a_qvo0ce6af43-1a 
have the same content

Also for bond:

# ll -d /var/lib/carbon/whisper/collectd/./ovs_stats-br-erogazione_dpdkbond0*
drwxr-xr-x. 11 carbon carbon 4096 Nov 28 02:49 /var/lib/carbon/whisper/collectd/./ovs_stats-br-erogazione_dpdkbond0 
drwxr-xr-x. 11 carbon carbon 4096 Nov 27 16:01 /var/lib/carbon/whisper/collectd/./ovs_stats-br-erogazione_dpdkbond0_dpdk0
drwxr-xr-x. 11 carbon carbon 4096 Nov 27 16:01 /var/lib/carbon/whisper/collectd/./ovs_stats-br-erogazione_dpdkbond0_dpdk1
[root@tsdbnode01 ~]#

In this case the dpdkbond0 is the aggregate of  dpdkbond0_dpdk0 and dpdkbond0_dpdk1.


Version-Release number of selected component (if applicable):
collectd.x86_64 5.8.0-10.1.el7ost 
collectd-disk.x86_64 5.8.0-10.1.el7ost
collectd-ovs-stats.x86_64 5.8.0-10.1.el7ost 
collectd-virt.x86_64 5.8.0-10.1.el7ost


Expected results:
Have only a metric for each interface in order to limit the amount of I/O in our storage.

Comment 24 errata-xmlrpc 2019-10-23 08:37:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3183


Note You need to log in before you can comment on or make changes to this bug.